## IdeEditorUtilities IdeEditorUtilities — Container for utilities in the editor perspective |

## Types and Values

#define | IDE_TYPE_EDITOR_UTILITIES
| IdeEditorUtilities

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── DzlBin
                            ╰── DzlDockRevealer
                                ╰── DzlDockBinEdge
                                    ╰── IdePanel
                                        ╰── IdeEditorUtilities

## Implemented Interfaces

IdeEditorUtilities implements AtkImplementorIface, GtkBuildable and DzlDockItem.

## Description

The IdeEditorUtilities widget is a convenient container for widgets that are not primarily navigation based but are useful from the editor. Such an example could be build logs, application output, and other ancillary information for the user.

You can get this widget via `ide_editor_perspective_get_utilities()`.

## Functions

## Types and Values

### IDE_TYPE_EDITOR_UTILITIES

    #define IDE_TYPE_EDITOR_UTILITIES (ide_editor_utilities_get_type())

### IdeEditorUtilities

    typedef struct _IdeEditorUtilities IdeEditorUtilities;